Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.servlet
Class PortletServletRequestDispatcher

    java.lang.Object
      org.apache.struts2.portlet.servlet.PortletServletRequestDispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

    public class PortletServletRequestDispatcher

extends Object
implements javax.servlet.RequestDispatcher

Constructor Summary
`PortletServletRequestDispatcher(javax.portlet.PortletRequestDispatcher portletRequestDispatcher)`

Method Summary
`void` | `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void` | `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServletRequestDispatcher

    public PortletServletRequestDispatcher(javax.portlet.PortletRequestDispatcher portletRequestDispatcher)

Method Detail

### forward

    public void forward(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  Specified by:
    `forward` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### include

    public void include(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  Specified by:
    `include` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.